Scene_Main = {}

Scene_Main.inited = false;

Scene_Main.onSet = function()
{
	AppManager.setLayout('main');
	View_Main.show();	
	
	if (! Scene_Main.inited) {
		
		Scene_Main.inited = true;
		
		AppManager.pingServer(function(){}, function(){
			View_Message.showMessage(View_Message.INET_ERROR, {'return':'Выход'})
		});
		
	}	
	else {
		View_Main.setButtons();
	}
}

Scene_Main.onUnSet = function()
{
	
}

Scene_Main.onKeyDown = function()
{
	if (View_Message.shown) {
		if (event.keyCode == tvKey.KEY_RETURN)
			widgetAPI.sendReturnEvent();
		else if (event.keyCode == tvKey.KEY_EXIT)
			widgetAPI.sendExitEvent();
		
		return;
	}
	
	if (event.keyCode == tvKey.KEY_RETURN)
		widgetAPI.blockNavigation(event);
	
	if (View_Main.menuAnimated()) return;
	
	switch (event.keyCode) {

		case tvKey.KEY_DOWN:
			$('#main_menu').idcLSelector('next');
			break;
			
		case tvKey.KEY_UP:
			$('#main_menu').idcLSelector('prev');
			break;
			
		case tvKey.KEY_ENTER:
			Scene_Main.redirect();
			break;
			
		case tvKey.KEY_RETURN:
			widgetAPI.sendReturnEvent();
			break;
		
	}
}


//---------------------
Scene_Main.redirect = function()
{
	switch ($('#main_menu').idcLSelector('curNum')) {
		
		case 0:
			AppManager.setScene(Scene_Video);
			break;
		
		case 1:
			AppManager.setScene(Scene_Buy);
			break;
	}
}