
//2012-03-15 возможность отключить цикл
(function($){

	$.fn.idcLSelector = function(action, params) {
		
		switch (action) {
			case 'init':
				init(this, params);
				break;
				
			case 'created':
				if ($(this).data('info'))
					return true;
				else
					return false;
				break;

			case 'next':
				next(this);
				break;

			case 'prev':
				prev(this);
				break;

			case 'select':
				if ($(this).data('info').count > params)
					select(this, params);
				break;
				
			case 'unselect':
				var info = $(this).data('info');
				info.items.eq( info.curNum ).removeClass('active_item');
				info.curNum = null;
				$(this).data('info', info);
				break;
				

			case 'curNum':
				return parseInt($(this).data('info').curNum, 10);
		}
	
		return this;
	}

	function next(self) {

		var info = $(self).data('info');

		info.items.eq( info.curNum ).removeClass('active_item');
		info.curNum++;
		if (info.curNum == info.count) {
			
			if (info.cycle) {
				info.curNum = 0;
			}
			else {
				info.curNum--;
				info.items.eq( info.curNum ).addClass('active_item');
				return;
			}
		}

		info.items.eq( info.curNum ).addClass('active_item');
		$(self).data('info', info);
	}

	function prev(self) {

		var info = $(self).data('info');

		info.items.eq( info.curNum ).removeClass('active_item');
		info.curNum--;
		if (info.curNum < 0) {
			
			if (info.cycle) {
				info.curNum = info.count-1;
			}
			else {
				info.curNum=0;
				info.items.eq(0).addClass('active_item');
				return;
			}
		}

		info.items.eq( info.curNum ).addClass('active_item');
		$(self).data('info', info);
	}

	function select(self, num) {

		var info = $(self).data('info');
		info.items.eq( info.curNum ).removeClass('active_item');
		info.items.eq( num ).addClass('active_item');
		info.curNum = num;
	}

	function init(self, params) {

		var cycle;
		if (params) {
			
			if ( typeof params.cycle !== 'undefined')
				cycle = params.cycle;
			else
				cycle = true;
		}
		else {
			cycle = true;
		}
		
		$(self).data('info',{
			curNum : 0,
			items : $(self).children(),
			count : $(self).children().length,
			cycle : cycle
		});

		
		select(self, 0);
	}

})(jQuery)